DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DcmSharedSCPConfig Struct Reference

Enables sharing configurations by multiple DcmSCPs. More...

Inheritance diagram for DcmSharedSCPConfig:

## Public Member Functions
| DcmSharedSCPConfig ()
| Default construct a DcmSharedSCPConfig object referring to a default constructed DcmSCPConfig object.
| DcmSharedSCPConfig (const DcmSCPConfig &config)
| Copy construct a DcmSharedSCPConfig object from a DcmSCPConfig object. More...
DcmSCPConfig * | operator-> () const
| Access the shared DcmSCPConfig object. More...
DcmSCPConfig & | operator* () const
| Access the shared DcmSCPConfig object. More...

## Additional Inherited Members
Private Member Functions inherited from OFshared_ptr< DcmSCPConfig >
| OFshared_ptr (DcmSCPConfig *const pt=OFnullptr)
| Constructs a shared_ptr with pt as the managed object. More...
| OFshared_ptr (const OFshared_ptr &other)
| Constructs a shared_ptr which shares ownership of the object managed by other. More...
OFshared_ptr & | operator= (const OFshared_ptr &other)
| Replaces the managed object with the one managed by other. More...
| ~OFshared_ptr ()
| If *this owns an object and it is the last shared_ptr owning it, the object is destroyed. More...
| operator OFBool () const
| Checks if *this manages an object, i.e. More...
OFBool | operator! () const
| Checks if *this does not manage an object, i.e. More...
DcmSCPConfig & | operator* () const
| Dereferences pointer to the managed object. More...
DcmSCPConfig * | operator-> () const
| Dereferences pointer to the managed object. More...
DcmSCPConfig * | get () const
| Returns a pointer to the managed object. More...
void | reset (DcmSCPConfig *const pt=OFnullptr)
| Replaces the managed object with an object pointed to by pt. More...

## Detailed Description

Enables sharing configurations by multiple DcmSCPs.

DcmSharedSCPConfig allows multiple DcmSCP objects to share a single DcmSCPConfig object as their configuration. DcmSharedSCPConfig is implemented using reference counting, so the underlying DcmSCP config object is destroyed only after the last reference to it is removed.

## Constructor & Destructor Documentation

## ◆ DcmSharedSCPConfig()

DcmSharedSCPConfig::DcmSharedSCPConfig | ( | const DcmSCPConfig & | config | ) |
| inline explicit

Copy construct a DcmSharedSCPConfig object from a DcmSCPConfig object.

This constructor enables sharing of an already existing DcmSCPConfig object by copy constructing a shareable configuration object from it.

Parameters

  config | the DcmSCPConfig object to copy construct the DcmSharedSCPConfig object from.

## Member Function Documentation

## ◆ operator*()

DcmSCPConfig& DcmSharedSCPConfig::operator* | ( |  | ) | const
| inline

Access the shared DcmSCPConfig object.

Returns
  a reference to the shared DcmSCPConfig object.

## ◆ operator->()

DcmSCPConfig* DcmSharedSCPConfig::operator-> | ( |  | ) | const
| inline

Access the shared DcmSCPConfig object.

Returns
  a pointer to the shared DcmSCPConfig object.

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scpcfg.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1